Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.genericasync.handlers
Class IncomingSecurityHandler

    java.lang.Object
      be.ehealth.technicalconnector.handler.AbstractSOAPHandler
          be.ehealth.businessconnector.genericasync.handlers.IncomingSecurityHandler

All Implemented Interfaces:
  Handler<SOAPMessageContext>, SOAPHandler<SOAPMessageContext>

    public class IncomingSecurityHandler

extends AbstractSOAPHandler

SOAPHandler that validate the incoming message against the OASIS specification.

Constructor Summary
`IncomingSecurityHandler(Duration timestampTTL, Duration timeStampFutureTTL)`

Method Summary
`Set<QName>` | `getHeaders()`
`boolean` | `handleInbound(SOAPMessageContext context)` Method that is called in the inbound flow.

Methods inherited from class be.ehealth.technicalconnector.handler.AbstractSOAPHandler
`close, dumpMessage, handleFault, handleMessage, handleOutbound`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IncomingSecurityHandler

    public IncomingSecurityHandler(Duration timestampTTL,
                                   Duration timeStampFutureTTL)

Method Detail

### handleInbound

    public boolean handleInbound(SOAPMessageContext context)

  Description copied from class: `AbstractSOAPHandler`
  Method that is called in the inbound flow.

  Overrides:
    `handleInbound` in class `AbstractSOAPHandler`

### getHeaders

    public Set<QName> getHeaders()

  Specified by:
    `getHeaders` in interface `SOAPHandler<SOAPMessageContext>`
  Overrides:
    `getHeaders` in class `AbstractSOAPHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.